/**
 * output package name
 */
package com.kingdee.eas.custom.notify.bziEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.IntEnum;

/**
 * output class name
 */
public class TypeEnum extends IntEnum
{
    public static final int READING_VALUE = 2;//alias=´ýÔÄ
    public static final int PENDING_VALUE = 1;//alias=´ýÉó
    public static final int PAUSE_VALUE = 3;//alias=ÔÝ¹Ò

    public static final TypeEnum READING = new TypeEnum("READING", READING_VALUE);
    public static final TypeEnum PENDING = new TypeEnum("PENDING", PENDING_VALUE);
    public static final TypeEnum PAUSE = new TypeEnum("PAUSE", PAUSE_VALUE);

    /**
     * construct function
     * @param integer typeEnum
     */
    private TypeEnum(String name, int typeEnum)
    {
        super(name, typeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static TypeEnum getEnum(String typeEnum)
    {
        return (TypeEnum)getEnum(TypeEnum.class, typeEnum);
    }

    /**
     * getEnum function
     * @param String arguments
     */
    public static TypeEnum getEnum(int typeEnum)
    {
        return (TypeEnum)getEnum(TypeEnum.class, typeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(TypeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(TypeEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(TypeEnum.class);
    }
}